Package org.kapott.hbci.passport

## Class AbstractRDHPassport

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractRDHPassport

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

Direct Known Subclasses:
  `AbstractRDHSWPassport`, `HBCIPassportRSA`

    public abstract class AbstractRDHPassport
    extends AbstractHBCIPassport
    implements InitLetterPassport

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`protected` `AbstractRDHPassport​(java.lang.Object init)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.crypto.SecretKey` `createMsgKey()`
`Comm` `getCommInstance()`
`java.lang.String` `getCryptAlg()`
`protected int` `getCryptDataSize​(java.security.Key key)`
`java.lang.String` `getCryptFunction()`
`java.lang.String` `getCryptKeyType()`
`java.lang.String` `getCryptMode()`
`java.lang.String` `getHashAlg()`
`java.lang.String` `getPassportTypeName()`
`java.lang.String` `getProfileMethod()`
`java.lang.String` `getSigAlg()`
`java.lang.String` `getSigFunction()`
`java.lang.String` `getSigMode()`
`protected java.security.Signature` `getSignatureInstance()`
`SignatureParamSpec` `getSignatureParamSpec()` Liefert die Signatur-Spec.
`java.lang.String` `getSysStatus()`
`byte[]` `hash​(byte[] data)`
`boolean` `isSupported()`
`boolean` `needInstKeys()`
`boolean` `needUserKeys()`
`boolean` `needUserSig()`
`void` `onDialogEvent​(DialogEvent event, DialogContext ctx)` Wird bei einem Dialog-Event ausgefuehrt.

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, generateNewUserKeys, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`getInstEncKey, getInstSigKey, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, saveChanges`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassportInternal

`decrypt, encrypt, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, getProfileVersion, resetPassphrase, setInstEncKey, setInstSigKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, sign, verify`

### Constructor Detail

#### AbstractRDHPassport

    protected AbstractRDHPassport​(java.lang.Object init)

### Method Detail

#### getPassportTypeName

    public java.lang.String getPassportTypeName()

Specified by:
  `getPassportTypeName` in interface `HBCIPassportInternal`

#### isSupported

    public boolean isSupported()

Specified by:
  `isSupported` in interface `HBCIPassport`

#### getCommInstance

    public Comm getCommInstance()

Specified by:
  `getCommInstance` in class `AbstractHBCIPassport`

#### getSysStatus

    public java.lang.String getSysStatus()

Specified by:
  `getSysStatus` in interface `HBCIPassportInternal`

#### needInstKeys

    public boolean needInstKeys()

Specified by:
  `needInstKeys` in interface `HBCIPassport`
See Also:
  `HBCIPassport.needInstKeys()`

#### needUserKeys

    public boolean needUserKeys()

Specified by:
  `needUserKeys` in interface `HBCIPassport`

#### needUserSig

    public boolean needUserSig()

Specified by:
  `needUserSig` in interface `HBCIPassportInternal`

#### getProfileMethod

    public java.lang.String getProfileMethod()

Specified by:
  `getProfileMethod` in interface `HBCIPassportInternal`

#### getCryptKeyType

    public java.lang.String getCryptKeyType()

Specified by:
  `getCryptKeyType` in interface `HBCIPassportInternal`

#### getSigFunction

    public java.lang.String getSigFunction()

Specified by:
  `getSigFunction` in interface `HBCIPassportInternal`

#### getSigAlg

    public java.lang.String getSigAlg()

Specified by:
  `getSigAlg` in interface `HBCIPassportInternal`

#### getSigMode

    public java.lang.String getSigMode()

Specified by:
  `getSigMode` in interface `HBCIPassportInternal`

#### getCryptFunction

    public java.lang.String getCryptFunction()

Specified by:
  `getCryptFunction` in interface `HBCIPassportInternal`

#### getCryptAlg

    public java.lang.String getCryptAlg()

Specified by:
  `getCryptAlg` in interface `HBCIPassportInternal`

#### getCryptMode

    public java.lang.String getCryptMode()

Specified by:
  `getCryptMode` in interface `HBCIPassportInternal`

#### getCryptDataSize

    protected int getCryptDataSize​(java.security.Key key)

#### getHashAlg

    public java.lang.String getHashAlg()

Specified by:
  `getHashAlg` in interface `HBCIPassportInternal`

#### getSignatureParamSpec

    public SignatureParamSpec getSignatureParamSpec()

Description copied from interface: `InitLetterPassport`
Liefert die Signatur-Spec.

Specified by:
  `getSignatureParamSpec` in interface `InitLetterPassport`
Returns:
  die Signatur-Spec.
See Also:
  `InitLetterPassport.getSignatureParamSpec()`

#### getSignatureInstance

    protected java.security.Signature getSignatureInstance()

#### createMsgKey

    protected javax.crypto.SecretKey createMsgKey()

#### hash

    public byte[] hash​(byte[] data)

Specified by:
  `hash` in interface `HBCIPassportInternal`

#### onDialogEvent

    public void onDialogEvent​(DialogEvent event,
                              DialogContext ctx)

Description copied from interface: `HBCIPassportInternal`
Wird bei einem Dialog-Event ausgefuehrt.

Specified by:
  `onDialogEvent` in interface `HBCIPassportInternal`
Overrides:
  `onDialogEvent` in class `AbstractHBCIPassport`
Parameters:
  `event` - das Event.
  `ctx` - der Dialog-Kontext.
See Also:
  `AbstractHBCIPassport.onDialogEvent(org.kapott.hbci.dialog.DialogEvent, org.kapott.hbci.dialog.DialogContext)`